semanage_del(3)

NAME
semanage_del - SELinux Management API

SYNOPSIS
The following delete function is supported for any semanage record.
Replace the function and object name as necessary.

extern int DELETE_FUNCTION (
semanage_handle_t *handle,
const semanage_OBJECT_key_t *key);

DESCRIPTION

Behavior:
    The delete function will remove the object corresponding to the provided key from the local store. If no match is found, no action is taken. Changes will become permanent when semanage_commit(3) is invoked. Additional checks may be performed at that time to ensure the system is left in a valid state.

Parameters:
    The handle is used to track persistent state across semanage calls, and for error reporting. The key identifies the data object, which will be deleted from the local store. The key is a property of the caller, and will not be stored or modified internally.

Requirements:
    This function requires an semanage connection to be established (see semanage_connect(3) ), and must be executed in a transaction (see semanage_begin_transaction(3) ).

RETURN VALUE
In case of failure, -1 is returned, and the semanage error callback is invoked, describing the error. Otherwise 0 is returned.

SEE ALSO
semanage_handle_create(3), semanage_begin_transaction(3), semanage_connect(3), semanage_commit(3).